# Device orientation

A decision block that checks the device orientation using the built-in sensors.

If the proceed option is set to Immediately, then check the current orientation without pausing the fiber. If set to When changed, then the fiber will pause until the device gets within the tolerated orientation, or leaves the orientation.

If any of the azimuth, pitch or roll degrees is set and doesn’t evaluate to `null` then the device must be at those degree within the tolerance. If none of the degrees are set, then the current degrees is just assigned to current azimuth, current pitch, and current roll variables without a check.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Azimuth — azimuth (yaw) degree.
- Pitch — pitch degree.
- Roll — roll degree.
- Tolerance — the degrees of tolerance, default is 30°.

## Output variables

- Azimuth — variable to assign the current degrees of yaw (azimuth).
- Pitch — variable to assign the current degrees of pitch.
- Roll — variable to assign the current degrees of roll.